package component {
    import mx.controls.Button;
    import mx.events.FlexEvent;
    public class ButtonEx extends Button {
        public function ButtonEx() {
            log(this,"子コンストラクタ");
            super();
            addEventListener(FlexEvent.PREINITIALIZE,     traceEvent);
            addEventListener(FlexEvent.INITIALIZE,        traceEvent);
            addEventListener(FlexEvent.UPDATE_COMPLETE,   traceEvent);
            addEventListener(FlexEvent.ADD,               traceEvent);
            addEventListener(FlexEvent.CREATION_COMPLETE, traceEvent);
        }
        protected override function createChildren():void {
            log(this,"子createChildren");
            super.createChildren();
        }
        protected override function commitProperties():void {
            log(this,"子commitProperties");
            super.commitProperties();
        }
        protected override function measure():void {
            log(this,"子measure");
            super.measure();
        }
        protected override function updateDisplayList(w:Number,h:Number):void {
            log(this,"子updateDisplayList");
            super.updateDisplayList(w,h);
        }
    }
}