package component {
    import mx.containers.HBox;
    import mx.events.FlexEvent;
    public class HBoxEx extends HBox {
        public function HBoxEx() {
            log(this,"親コンストラクタ");
            super();
            addEventListener(FlexEvent.PREINITIALIZE,     traceEvent);
            addEventListener(FlexEvent.INITIALIZE,        traceEvent);
            addEventListener(FlexEvent.UPDATE_COMPLETE,   traceEvent);
            addEventListener(FlexEvent.CREATION_COMPLETE, traceEvent);
        }
        protected override function createChildren():void {
            log(this,"親createChildren");
            super.createChildren();
        }
        protected override function commitProperties():void {
            log(this,"親commitProperties");
            super.commitProperties();
        }
        protected override function measure():void {
            log(this,"親measure");
            super.measure();
        }
        protected override function updateDisplayList(w:Number,h:Number):void {
            log(this,"親updateDisplayList");
            super.updateDisplayList(w,h);
        }
    }
}