package sample.resize {
    import flash.display.Sprite;

    import mx.controls.Button;
    import mx.core.UIComponent;
    import mx.events.ResizeEvent;
    public class ResizeSampleA extends UIComponent {
        protected var button :Button;
        protected var sprite :Sprite;
        public function ResizeSampleA() {
            super();
        }
        protected override function createChildren():void {
            super.createChildren();

            button        = new Button();
            button.width  = 100;
            button.height = 100;
            button.x      = -160;
            button.scaleX = 1;
            button.scaleY = 1;
            button.addEventListener(ResizeEvent.RESIZE,
                function(event:ResizeEvent):void {
                    trace( "\nbutton Resized : ", button.width, button.height);
                }
            );

            sprite        = new Sprite();
            sprite.graphics.beginFill(0);
            sprite.graphics.drawRect(0,0,100,100);
            sprite.graphics.endFill();
            sprite.width  = 100;
            sprite.height = 100;
            sprite.x      = 10;
            sprite.scaleX = 1;
            sprite.scaleY = 1;

            addChild(button);
            addChild(sprite);

            trace( "sprite : ", sprite.scaleX, sprite.scaleY ); // 出力 1, 1
            trace( "sprite : ", sprite.width,  sprite.height ); // 100, 100
            sprite.scaleX = 1.5;
            sprite.scaleY = 1.5;
            trace( "sprite : ", sprite.scaleX, sprite.scaleY ); // 出力 1.5, 1.5
            trace( "sprite : ", sprite.width,  sprite.height ); // 150, 150

            trace( "\n" );

            trace( "button : ", button.scaleX, button.scaleY ); // 出力 1, 1
            trace( "button : ", button.width,  button.height ); // 100, 100
            button.scaleX = 1.5;
            button.scaleY = 1.5;
            trace( "button : ", button.scaleX, button.scaleY ); // 出力 1.5, 1.5
            trace( "button : ", button.width,  button.height ); // 100, 100
        }
    }
}