package demo
{
    import flash.display.Graphics;
    
    import mx.core.UIComponent;
    
    public class DrawCanvas extends UIComponent
    {
        private var _color:uint;
        
        public function get color():uint{
            return _color;
        }
        
        public function set color(value:uint):void{
            if( _color != value ){
                _color = value;
                invalidateDisplayList();
            }
        }
        
        public var button1:UIComponent;
        
        protected override function createChildren():void{
            log(this,"#createChildren");
            button1 = new RectButton();
            button1.name = "button1";
            button1.setActualSize(25,25);
            addChild(button1);           
        }
        
        protected override function commitProperties():void{
            log(this,"#commitProperties");            
        }
        
        protected override function measure():void{
            log(this,"#measure");              
        }
        
        protected override function updateDisplayList(unscaledWidth:Number, unscaledHeight:Number):void{
            log(this,"#updateDisplayList("+unscaledWidth+","+unscaledHeight+")");
            var g:Graphics = this.graphics;
            g.clear();
            g.beginFill(color);
            g.drawRect(0,0,unscaledWidth,unscaledHeight);
            g.endFill();
            
            button1.setActualSize(50,50);
        }

    }
}