package demo
{
    import flash.display.Graphics;
    import flash.events.MouseEvent;
    
    import mx.core.UIComponent;

    public class RectButton extends UIComponent
    {
        private var _color:uint = 0xFFFFFF;
        
        public function get color():uint{
            return _color;
        }
        
        public function set color(value:uint):void{
            if( _color != value ){
                _color = value;
                invalidateDisplayList();
            }
        }
        
        public function RectButton(){
            mouseEnabled = true;
            useHandCursor = true;    
            doubleClickEnabled = true;
        }
        
        protected override function commitProperties():void{
            log(this,"commitProperties");            
        }
        
        protected override function measure():void{
            log(this,"measure");
            measuredWidth += 25;
            measuredHeight = 25;
        }
        
        protected override function updateDisplayList(unscaledWidth:Number, unscaledHeight:Number):void{
            log(this,"updateDisplayList("+unscaledWidth+","+unscaledHeight+")");
            var g:Graphics = this.graphics;
            g.clear();
            g.beginFill(color);
            g.drawRect(0,0,unscaledWidth,unscaledHeight);
            g.endFill();
        }
        
    }
}