package {
    import flash.display.DisplayObject;

    import mx.core.UIComponent;

    public class ImageIcon extends UIComponent
    {

        protected var backgroundImageStyle:Object;

        protected var backgroundImage:DisplayObject;

        protected var backgroundImageWidth:int;

        protected var backgroundImageHeight:int;

        private function initBackgroundImage(image:DisplayObject):void
        {
            backgroundImage = image;

            backgroundImageWidth = backgroundImage.width;
            backgroundImageHeight = backgroundImage.height;
            backgroundImage.alpha = getStyle("backgroundAlpha");

            addChild( backgroundImage );

        }

        private function removeImage():void{
            if( backgroundImage != null ){
                removeChild(backgroundImage);
                backgroundImage = null;
            }
        }

        protected override function updateDisplayList(unscaledWidth:Number,unscaledHeight:Number):void
        {
            if( parent == null ){
                return;
            }

            var newStyle:Object = getStyle("backgroundImage");
            if (newStyle != backgroundImageStyle)
            {
                removeImage();

                backgroundImageStyle = newStyle;

                var clazz:Class;

                if (newStyle && newStyle as Class)
                {
                    clazz = Class(newStyle);
                    initBackgroundImage(new clazz());
                }
            }
        }
    }
}